## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CrystalSpace::SoftShader::InterpolateScanlinePerspCommon Struct Reference

Interpolator over a scanline, common code. More...

`#include <csplugincommon/softshader/types.h>`

Inheritance diagram for CrystalSpace::SoftShader::InterpolateScanlinePerspCommon:

[legend]
List of all members.

## Public Attributes

csFixed24 | dIzdx
float | dIzdx_f
float | dIzdx_fLast
csFixed24 | Iz
| 1/z and per-pixel delta
float | Iz_f
| 1/f - float for better accuracy, delta is for 1 interpolation span

## Detailed Description

Interpolator over a scanline, common code.

Definition at line 130 of file types.h.

## Member Data Documentation

csFixed24 CrystalSpace::SoftShader::InterpolateScanlinePerspCommon::Iz

| 1/z and per-pixel delta Definition at line 133 of file types.h.

float CrystalSpace::SoftShader::InterpolateScanlinePerspCommon::Iz_f

| 1/f - float for better accuracy, delta is for 1 interpolation span Definition at line 135 of file types.h.

The documentation for this struct was generated from the following file:

- csplugincommon/softshader/types.h